Subject: bug#50773: closed (Re: bug#50773: issue appears to be fixed)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 21 Jan 2022 18:28:02 +0000

Your bug report

#50773: ungoogled-chromium fails to use webcam

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50773: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50773
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50773: issue appears to be fixed
From: Leo Famulari <[email-masked]>
To: Remco <[email-masked]>
Cc: [email-masked]
Date: Fri, 21 Jan 2022 13:27:10 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Jan 20, 2022 at 05:59:45PM +0100, Remco wrote:
> I can not reproduce this problem (using jitsi meet with a webcam) since
> commit:
> 
>   f3b73e46df82297ffabaa3b32fc765fa3065cad0
> 
> See also: https://issues.guix.gnu.org/53301
> 
> I think this issue can be closed.

Great! I am closing it now.

Subject: ungoogled-chromium fails to use webcam
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 24 Sep 2021 10:53:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

As of commit c582be4c38596a6a31a39c6799723dcd8b6eb909 (Sept. 23),
ungoogled-chromium fails to grab images from my webcam (for instance in
BigBlueButton instances), printing this message repeatedly:

  [4685:3:0924/102919.814053:ERROR:video_stream_encoder.cc(1762)] Failed to encode frame. Error code: -7

I found that an older generation (Aug. 30) works for me:

  guix time-machine --commit=f91ae9425bb385b60396a544afe27933896b8fa3 -- \
    environment --ad-hoc ungoogled-chromium -- chromium

The regression must have been in between these two commits.

Thoughts?

Ludo’.